GET

/api/v1/bots/grid/:id/events

Permission: BOTS_READSecurity: SIGNED

Retrieves a chronological list of runtime events, order placement activities, leverage settings, and status logs generated by a specific Grid Bot.

Path Parameters

idinteger required

Unique Quentrade ID for this Grid Bot entity. Example: 2338357

Query Parameters

2
pageinteger required

Page number for pagination. Default: 1

per_pageinteger required

Quantity of records on one page. Min: 1, Max: 100, Default: 100

Response Parameters

2
messagestring

The textual description of the bot event (e.g. order creation, balance adjustments, state transitions).

created_atstring

ISO 8601 datetime string indicating when the event was recorded.

Example Request

GETGET /api/v1/bots/grid/2338357/events?page=1&per_page=10

Example Responses

Returns HTTP 200/201 with an array of historical event logs.

grid_bot_events_200.json
200 OK
[
  {
    "message": "Start command received",
    "created_at": "2024-10-03T19:53:38.178Z"
  },
  {
    "message": "Bot is turned on",
    "created_at": "2024-10-03T19:53:38.305Z"
  },
  {
    "message": "Setting leverage: cross 10.0, Success.",
    "created_at": "2024-10-03T19:53:39.569Z"
  },
  {
    "message": "Creating balancing order, Price: 0.021967 BNFCR, Size: 98.741665 BNFCR (4495.0 VETUSDT).",
    "created_at": "2024-10-03T19:53:39.853Z"
  },
  {
    "message": "Balancing order filled, Price: 0.021974 BNFCR, Size: 98.77216807 BNFCR (4495.0 VETUSDT).",
    "created_at": "2024-10-03T19:53:41.750Z"
  },
  {
    "message": "Creating LIMIT BUY order, Price: 0.02171 BNFCR, Size: 19.99491 BNFCR (921.0 VETUSDT), Current price: 0.021969 BNFCR, Success.",
    "created_at": "2024-10-03T19:53:44.070Z"
  }
]